The [Blazor File Manager](https://www.syncfusion.com/blazor-components/blazor-file-manager?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) is a graphical user interface component used to manage the file system. It enables the user to perform common file operations such as accessing, editing, uploading, downloading, and sorting files and folders. This component also allows easy navigation for browsing or selecting a file or folder from the file system.

## Key Features

  * [Different Views](https://blazor.syncfusion.com/documentation/file-manager/user-interface/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget#view) - Provides detailed and large icon views.
  * [Context menu support](https://blazor.syncfusion.com/documentation/file-manager/user-interface/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget#context-menu) - Provides detailed and large icon views.
  * [Custom toolbar support](https://blazor.syncfusion.com/documentation/file-manager/user-interface/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget#toolbar) - Customize the toolbar to provide only necessary features.
  * [Multiple file selection](https://blazor.syncfusion.com/documentation/file-manager/multiple-file-selection/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) - Select multiple files simultaneously.
  * [Accessibility](https://blazor.syncfusion.com/documentation/file-manager/accessibility/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) - Features built-in accessibility support that makes all features accessible through keyboard interaction, screen readers, or other assistive technology devices.

## Related links
[Learn More about Blazor FileManager](https://www.syncfusion.com/blazor-components/blazor-file-manager?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/file-manager/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/index/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/file-manager/overview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20FileManager%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-filemanager-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.